Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.organizations.getAlertsProfiles({
organizationId: "string",
});
export const merakiOrganizationsAlertsProfilesExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.organizations.get_alerts_profiles(organization_id="string")
pulumi.export("merakiOrganizationsAlertsProfilesExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/organizations"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := organizations.LookupAlertsProfiles(ctx, &organizations.LookupAlertsProfilesArgs{
OrganizationId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiOrganizationsAlertsProfilesExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Organizations.GetAlertsProfiles.Invoke(new()
{
OrganizationId = "string",
});
return new Dictionary<string, object?>
{
["merakiOrganizationsAlertsProfilesExample"] = example.Apply(getAlertsProfilesResult => getAlertsProfilesResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.organizations.OrganizationsFunctions;
import com.pulumi.meraki.organizations.inputs.GetAlertsProfilesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = OrganizationsFunctions.getAlertsProfiles(GetAlertsProfilesArgs.builder()
.organizationId("string")
.build());
ctx.export("merakiOrganizationsAlertsProfilesExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:organizations:getAlertsProfiles
arguments:
organizationId: string
outputs:
merakiOrganizationsAlertsProfilesExample: ${example.items}
Using getAlertsProfiles
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getAlertsProfiles(args: GetAlertsProfilesArgs, opts?: InvokeOptions): Promise<GetAlertsProfilesResult>
function getAlertsProfilesOutput(args: GetAlertsProfilesOutputArgs, opts?: InvokeOptions): Output<GetAlertsProfilesResult>def get_alerts_profiles(organization_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetAlertsProfilesResult
def get_alerts_profiles_output(organization_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetAlertsProfilesResult]func LookupAlertsProfiles(ctx *Context, args *LookupAlertsProfilesArgs, opts ...InvokeOption) (*LookupAlertsProfilesResult, error)
func LookupAlertsProfilesOutput(ctx *Context, args *LookupAlertsProfilesOutputArgs, opts ...InvokeOption) LookupAlertsProfilesResultOutput> Note: This function is named LookupAlertsProfiles in the Go SDK.
public static class GetAlertsProfiles
{
public static Task<GetAlertsProfilesResult> InvokeAsync(GetAlertsProfilesArgs args, InvokeOptions? opts = null)
public static Output<GetAlertsProfilesResult> Invoke(GetAlertsProfilesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetAlertsProfilesResult> getAlertsProfiles(GetAlertsProfilesArgs args, InvokeOptions options)
public static Output<GetAlertsProfilesResult> getAlertsProfiles(GetAlertsProfilesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:organizations/getAlertsProfiles:getAlertsProfiles
arguments:
# arguments dictionaryThe following arguments are supported:
- Organization
Id string - organizationId path parameter. Organization ID
- Organization
Id string - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
- organization
Id string - organizationId path parameter. Organization ID
- organization_
id str - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
getAlertsProfiles Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Alerts Profiles Item> - Array of ResponseOrganizationsGetOrganizationAlertsProfiles
- Organization
Id string - organizationId path parameter. Organization ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Alerts Profiles Item - Array of ResponseOrganizationsGetOrganizationAlertsProfiles
- Organization
Id string - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Alerts Profiles Item> - Array of ResponseOrganizationsGetOrganizationAlertsProfiles
- organization
Id String - organizationId path parameter. Organization ID
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Alerts Profiles Item[] - Array of ResponseOrganizationsGetOrganizationAlertsProfiles
- organization
Id string - organizationId path parameter. Organization ID
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Alerts Profiles Item] - Array of ResponseOrganizationsGetOrganizationAlertsProfiles
- organization_
id str - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseOrganizationsGetOrganizationAlertsProfiles
- organization
Id String - organizationId path parameter. Organization ID
Supporting Types
GetAlertsProfilesItem
- Alert
Condition GetAlerts Profiles Item Alert Condition - The conditions that determine if the alert triggers
- Description string
- User supplied description of the alert
- Enabled bool
- Is the alert config enabled
- Id string
- The alert config ID
- List<string>
- Networks with these tags will be monitored for the alert
- Recipients
Get
Alerts Profiles Item Recipients - List of recipients that will recieve the alert.
- Type string
- The alert type
- Alert
Condition GetAlerts Profiles Item Alert Condition - The conditions that determine if the alert triggers
- Description string
- User supplied description of the alert
- Enabled bool
- Is the alert config enabled
- Id string
- The alert config ID
- []string
- Networks with these tags will be monitored for the alert
- Recipients
Get
Alerts Profiles Item Recipients - List of recipients that will recieve the alert.
- Type string
- The alert type
- alert
Condition GetAlerts Profiles Item Alert Condition - The conditions that determine if the alert triggers
- description String
- User supplied description of the alert
- enabled Boolean
- Is the alert config enabled
- id String
- The alert config ID
- List<String>
- Networks with these tags will be monitored for the alert
- recipients
Get
Alerts Profiles Item Recipients - List of recipients that will recieve the alert.
- type String
- The alert type
- alert
Condition GetAlerts Profiles Item Alert Condition - The conditions that determine if the alert triggers
- description string
- User supplied description of the alert
- enabled boolean
- Is the alert config enabled
- id string
- The alert config ID
- string[]
- Networks with these tags will be monitored for the alert
- recipients
Get
Alerts Profiles Item Recipients - List of recipients that will recieve the alert.
- type string
- The alert type
- alert_
condition GetAlerts Profiles Item Alert Condition - The conditions that determine if the alert triggers
- description str
- User supplied description of the alert
- enabled bool
- Is the alert config enabled
- id str
- The alert config ID
- Sequence[str]
- Networks with these tags will be monitored for the alert
- recipients
Get
Alerts Profiles Item Recipients - List of recipients that will recieve the alert.
- type str
- The alert type
- alert
Condition Property Map - The conditions that determine if the alert triggers
- description String
- User supplied description of the alert
- enabled Boolean
- Is the alert config enabled
- id String
- The alert config ID
- List<String>
- Networks with these tags will be monitored for the alert
- recipients Property Map
- List of recipients that will recieve the alert.
- type String
- The alert type
GetAlertsProfilesItemAlertCondition
- Bit
Rate intBps - The threshold the metric must cross to be valid for alerting. Used only for WAN Utilization alerts.
- Duration int
- The total duration in seconds that the threshold should be crossed before alerting
- Interface string
- The uplink observed for the alert
- Window int
- The look back period in seconds for sensing the alert
- Bit
Rate intBps - The threshold the metric must cross to be valid for alerting. Used only for WAN Utilization alerts.
- Duration int
- The total duration in seconds that the threshold should be crossed before alerting
- Interface string
- The uplink observed for the alert
- Window int
- The look back period in seconds for sensing the alert
- bit
Rate IntegerBps - The threshold the metric must cross to be valid for alerting. Used only for WAN Utilization alerts.
- duration Integer
- The total duration in seconds that the threshold should be crossed before alerting
- interface_ String
- The uplink observed for the alert
- window Integer
- The look back period in seconds for sensing the alert
- bit
Rate numberBps - The threshold the metric must cross to be valid for alerting. Used only for WAN Utilization alerts.
- duration number
- The total duration in seconds that the threshold should be crossed before alerting
- interface string
- The uplink observed for the alert
- window number
- The look back period in seconds for sensing the alert
- bit_
rate_ intbps - The threshold the metric must cross to be valid for alerting. Used only for WAN Utilization alerts.
- duration int
- The total duration in seconds that the threshold should be crossed before alerting
- interface str
- The uplink observed for the alert
- window int
- The look back period in seconds for sensing the alert
- bit
Rate NumberBps - The threshold the metric must cross to be valid for alerting. Used only for WAN Utilization alerts.
- duration Number
- The total duration in seconds that the threshold should be crossed before alerting
- interface String
- The uplink observed for the alert
- window Number
- The look back period in seconds for sensing the alert
GetAlertsProfilesItemRecipients
- Emails List<string>
- A list of emails that will receive information about the alert
- Http
Server List<string>Ids - A list base64 encoded urls of webhook endpoints that will receive information about the alert
- Emails []string
- A list of emails that will receive information about the alert
- Http
Server []stringIds - A list base64 encoded urls of webhook endpoints that will receive information about the alert
- emails List<String>
- A list of emails that will receive information about the alert
- http
Server List<String>Ids - A list base64 encoded urls of webhook endpoints that will receive information about the alert
- emails string[]
- A list of emails that will receive information about the alert
- http
Server string[]Ids - A list base64 encoded urls of webhook endpoints that will receive information about the alert
- emails Sequence[str]
- A list of emails that will receive information about the alert
- http_
server_ Sequence[str]ids - A list base64 encoded urls of webhook endpoints that will receive information about the alert
- emails List<String>
- A list of emails that will receive information about the alert
- http
Server List<String>Ids - A list base64 encoded urls of webhook endpoints that will receive information about the alert
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
